/* $Id: calllib.h,v 1.5 2001/05/23 06:56:05 dm Exp $ */
/*
 *  UNIX-Connect, a ZCONNECT(r) Transport and Gateway/Relay.
 *  Copyright (C) 1999       Matthias Andree
 *  Copyright (C) 2000       Krischan Jodies
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * ------------------------------------------------------------------------
 * Eine deutsche Zusammenfassung zum Copyright dieser Programme sowie der
 * GNU General Public License finden Sie in der Datei README.1st.
 * ------------------------------------------------------------------------
 *
 *  Bugreports, suggestions for improvement, patches, ports to other systems
 *  etc. are welcome. Contact the maintainer by e-mail:
 *  dirk.meyer@dinoex.sub.org or snail-mail:
 *  Dirk Meyer, Im Grund 4, 34317 Habichtswald
 *
 *  There is a mailing-list for user-support:
 *   unix-connect-users@lists.sourceforge.net,
 *  write a mail with subject "Help" to
 *   unix-connect-users-request@lists.sourceforge.net
 *  for instructions on how to join this list.
 */

/*
 * calllib.c
 *
 * Bibliotheksfunktionen fuer diverse Programme
 *
 */

#ifndef ONLINE_CALLLIB_H
#define ONLINE_CALLLIB_H

typedef struct list_st {
	char *name;
	struct list_st *next;
} ilist_t, *ilist_p;

extern ilist_p readonedir(const char *name);

enum backup_type { BACKUP_MOVE, BACKUP_LINK };
extern int backup(const char *backupdir, const char *file,
		  const char *sysname, enum backup_type);
extern int backup2(const char *backupdir, const char *file,
		   const char *sysname, const char *arcer);
extern int backup3(const char *backupdir, const char *file,
		   const char *sysname, const char *arcer);

#else
#warning "online/calllib.h included twice"
#endif
