/* $Id: sysdep.h,v 1.4 2001/05/23 06:56:28 dm Exp $ */
/*
 *  UNIX-Connect, a ZCONNECT(r) Transport and Gateway/Relay.
 *  Copyright (C) 1993-94  Martin Husemann
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * ------------------------------------------------------------------------
 * Eine deutsche Zusammenfassung zum Copyright dieser Programme sowie der
 * GNU General Public License finden Sie in der Datei README.1st.
 * ------------------------------------------------------------------------
 *
 *  Bugreports, suggestions for improvement, patches, ports to other systems
 *  etc. are welcome. Contact the maintainer by e-mail:
 *  christopher@nescio.foebud.org or snail-mail:
 *  Christopher Creutzig, Im Samtfelde 19, 33098 Paderborn
 *
 *  There is a mailing-list for user-support:
 *   unix-connect-users@lists.sourceforge.net,
 *  write a mail with subject "Help" to
 *   unix-connect-users-request@lists.sourceforge.net
 *  for instructions on how to join this list.
 */


/*
 *  UNIX-Connect: sysdep.h
 *
 *  Systemabhaengige C Anweisungen.
 *
 *  Alle fuer dieses System gueltigen #define's sollten hier gesetzt
 *  werden, alle nicht von System-Headern bereitgestellten Prototypen
 *  gehoeren hier hin.
 *
 */

#ifndef SYSDEP_H
#define SYSDEP_H

#define	OS	"UNIX"
#define	BRAND	"SunOS4"

#define SVR4	/* SYS5 auch setzen! */
#define SYSV	/* beliebiges System V */

/* #define HAS_POSIX_TERMIOS */	/* benutze <termios.h> IOCTL's */
#define HAS_SYSV_TERMIO
#define NEED_CRTSCTS		/* Flag in termio */

/* #define	NEED_MODE_H		 inlcude mode.h fuer open-modes */

#define FILENAME_MAX 255	/* So ist es in sys/dir.h auch definiert,
					aber als MAXNAMLEN */

#define LEAVE_CTRL_TTY		/* Entlasse das Controlling TTY... */
/* #define USE_SETSID		 ... durch einen Aufruf von setsid(2) */
#define USE_SETPGRP		/* ... durch einen Aufruf von setpgrp(2) */

/* Das haben wir sonst nicht in SunOS 4 : */
#define strerror(x) sys_errlist[x]
char *sys_errlist[];

#endif
