/* $Id: uuconv.h,v 1.10 2001/05/23 06:56:07 dm Exp $ */
/*
 *  UNIX-Connect, a ZCONNECT(r) Transport and Gateway/Relay.
 *  Copyright (C) 1995       Christopher Creutzig
 *  Copyright (C) 1999-2000  Dirk Meyer
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * ------------------------------------------------------------------------
 * Eine deutsche Zusammenfassung zum Copyright dieser Programme sowie der
 * GNU General Public License finden Sie in der Datei README.1st.
 * ------------------------------------------------------------------------
 *
 *  Bugreports, suggestions for improvement, patches, ports to other systems
 *  etc. are welcome. Contact the maintainer by e-mail:
 *  dirk.meyer@dinoex.sub.org or snail-mail:
 *  Dirk Meyer, Im Grund 4, 34317 Habichtswald
 *
 *  There is a mailing-list for user-support:
 *   unix-connect-users@lists.sourceforge.net,
 *  write a mail with subject "Help" to
 *   unix-connect-users-request@lists.sourceforge.net
 *  for instructions on how to join this list.
 */

#define	MAXLINE		8192		/* Z.B. in einem SMTP Batch */

char *date2eda( const char *str, FILE *fout );
int valid_newsgroups( const char *data );
void printbretter(const char *newsgroups, const char *zc_header, FILE *f);
char *fqdn_at(char *s);
char *next_komma(char *s);
void splitaddr(char *rfc_addr, char *name, char *host, char *domain,
	char *realname);
int convaddr(const char *zconnect_header, const char *rfc_addr,
	int rfc2z, FILE *f);
char *printpath(char *reverse_path);
header_p convheader(header_p hd, FILE *f, char *from);
int make_body(char *bigbuffer, size_t msglen,
	mime_header_info_struct *mime_info,
	int binaer, char *smallbuffer, FILE *zconnect);

